/**
 *Created by cuiliqiang on 2018/3/9
 * 解锁插件数据
 */
import { Data } from "../../Data";

export class UnblockingData extends Data {
    /**
     * 解锁反馈success返回true时才有；0：解锁成功； 1：重复解锁； 2：未到解锁时间
     */
    public status: number;

    public update(data: any): void {
        if (!data) {
            return;
        }
        super.update(data);
        if (data.data) {
            this.status = data.data.status;
        }
    }
}